# Class PurposeWriter

java.lang.Object
uk.ac.starlink.ttools.build.PurposeWriter

public class PurposeWriter extends Object
Writes entity definitions for the purposes of all the known STILTS tasks.

Since:
  18 Sep 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`PurposeWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PurposeWriter

public PurposeWriter()

## Method Details

### main

public static void main(String[] args) throws uk.ac.starlink.util.LoadException

Throws:
  `uk.ac.starlink.util.LoadException`